#“BRAINCARE” - AN ARTIFICIAL INTELLIGENCE BASED SYSTEM FOR BRAIN TUMOR DETECTION 
# 2020-028

##G.A.P.C Pathiraja

#Abstract
In the current system, we have no precise way of identifying a brain tumor. Radiologists take too much time to extract features, and they are currently unable to calculate the rate of growth of brain tumors or the side effects of brain tumors. Our system provides a solution to identify a brain tumor patient's threat before it gets out of control. In our system, MRI consultants, pathologists and radiologists interact to identify a brain tumor without wasting time. I decide a system with following models: Brain tumor growth prediction and stages identification. I have used convolutional neural network, Machine learning algorithms and image processing to implement the above-mentioned modules. Our results show that, using our proposed modules, help brain tumor patients efficiently and effectively.
Keywords—Image Processing, Machine Learning, Convolutional neural network


#Research problem  

Staging is a method of describing where the cancer is, whether or where it has spread, and whether it affects other parts of the body. Doctors use diagnostic tests to find out the stage of the cancer. Therefore, the staging may not be complete until all of the tests are completed.in this process it too much time to treat the patient.

Now a days doctors are predict is situation by looking at the MIR image, there past experience and their knowledge. There are limited neurologist but there don’t have time to treat all the Patient. 

Only one neurologist can treat limited number of patient. Because doctors (neurologist) knowledge and experience are doing to be limited. So when there take decision by there it is knowledge is not accurate and time consuming. 

Each brain tumor is different from the other. This means that there are so many stages of brain tumors and that Patten are different at each stage of brain tumor growth. 

Because of this, each stage has a completely different speed. I speak to the doctors and tell myself that there is no method in the monetary system to identify brain tumor growth. 


#Objectives

-Main Objectives-

The aim of our project is to develop a web platform with which types of brain tumors such as Grade I, Grade II, Grade III or Grade IV can be identified separately and identified growth speed of the brain tumor using image processing, machine learning and neural networks. Assisting radiologists with timely access to treatment and saving much-needed time.


-Specific Objectives-

-Increasing the efficiency-

A convolution model for a neural network is built from identify the specific stage of the brain tumor through MRI image and determine if a person is infected with what type of brain tumor.

Linear Regression model is design of the identify brain tumor growth speed through MRI image.

-Increasing the accuracy-

Detecting brain tumors and identifying brain tumor types and identifying brain tumor growth speed by reading MRI images can be time consuming and less accurate. This is because doctors can’t design by looking at MRI. Accurate reading of images is therefore very desirable. 


 
import cv2,os
from random import shuffle
import numpy as np
from keras.models import Sequential
from keras.layers import Dense,Activation,Flatten,Dropout
from keras.layers import Conv2D,MaxPooling2D
from sklearn.model_selection import train_test_split
from matplotlib import pyplot as plt


#How to run
Go to the workspace 
Type cmd.exe on folder path
In that folder path which displays in cmd.exe type python main.py
At the end go to the Running on 'http://127.0.0.1:5000/' you can go to the web app